# CUpti_ActivityPCSampling2 Struct Reference
[CUPTI Activity API]

The activity record for PC sampling. (deprecated in CUDA 9.0). More...

## Data Fields
uint32_t | correlationId
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint32_t | latencySamples
uint32_t | pcOffset
uint32_t | samples
uint32_t | sourceLocatorId
CUpti_ActivityPCSamplingStallReason | stallReason

## Detailed Description

This activity records information obtained by sampling PC (CUPTI_ACTIVITY_KIND_PC_SAMPLING). PC sampling activities are now reported using the CUpti_ActivityPCSampling3 activity record.

## Field Documentation

uint32_t CUpti_ActivityPCSampling2::correlationId

The correlation ID of the kernel to which this result is associated.

CUpti_ActivityFlag CUpti_ActivityPCSampling2::flags

The properties of this instruction.

uint32_t CUpti_ActivityPCSampling2::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityPCSampling2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_PC_SAMPLING.

uint32_t CUpti_ActivityPCSampling2::latencySamples

Number of times the PC was sampled with the stallReason in the record. These samples indicate that no instruction was issued in that cycle from the warp scheduler from where the warp was sampled. Field is valid for devices with compute capability 6.0 and higher

uint32_t CUpti_ActivityPCSampling2::pcOffset

The pc offset for the instruction.

uint32_t CUpti_ActivityPCSampling2::samples

Number of times the PC was sampled with the stallReason in the record. The same PC can be sampled with different stall reasons. The count includes latencySamples.

uint32_t CUpti_ActivityPCSampling2::sourceLocatorId

The ID for source locator.

CUpti_ActivityPCSamplingStallReason CUpti_ActivityPCSampling2::stallReason

Current stall reason. Includes one of the reasons from CUpti_ActivityPCSamplingStallReason